Subject: Re: What do I do with an old entomology collection?

From: Bill Terrill <[email-masked]>
Date: Sun, 26 Mar 95 15:51:14 -0500

Might I suggest that you locate the local chapter of a conservation group and
donate it to them. My particular choice would be The Nature Conservancy since
their volunteer stewardship monitors insects to help determine the plant life
in a particular area. The collections could be used as an identification aid
to help educate the volunteers and help to prevent mis-identification.